This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 910221

Summary: CVE-2013-1664 CVE-2013-1665 OpenStack keystone: XML entity parsing
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED DUPLICATE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: apevec, ayoung, cpelland, markmc, psedlak, rbryant, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130219,reported=20130211,source=upstream,cvss2=5.5/AV:N/AC:L/Au:S/C:P/I:N/A:P,fedora-all/openstack-keystone=affected,epel-6/openstack-keystone=affected,openstack-1/openstack-keystone=affected,openstack-2.1/openstack-keystone=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-03-04 14:17:51 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 910226, 910227    
Bug Blocks: 910225, 912982, 913808    
Attachments:
Description Flags
keystone-essex-CVE-2013-0278.patch
none
keystone-folsom-CVE-2013-0278.patch
none
keystone-grizzly-CVE-2013-0278.patch none

Description Kurt Seifried 2013-02-11 22:52:26 EST
Thierry Carrez (thierry@openstack.org) reports:

Title: Information leak and Denial of Service using XML entities
Reporter: Jonathan Murray (NCC Group), Joshua Harlow (Yahoo!), Stuart Stent
Products: Keystone, Nova, Cinder
Affects: All versions

Description:
Jonathan Murray from NCC Group, Joshua Harlow from Yahoo! and Stuart
Stent independently reported a vulnerability in the parsing of XML
requests in Keystone, Nova and Cinder. By using entities in XML
requests, an unauthenticated attacker may consume excessive resources on
the Keystone, Nova or Cinder API servers, resulting in a denial of
service and potentially a crash. Authenticated attackers may also
leverage XML entities to read the content of a local file on the
Keystone API server. This only affects servers with XML support enabled.

Proposed patches:
See attached patches for current development tree (Grizzly) and the
Folsom and Essex series for each of the affected projects. Unless a flaw
is discovered in them, these proposed patches will be merged to master,
stable/folsom and stable/essex branches on the public disclosure date.
Comment 1 Kurt Seifried 2013-02-11 22:53:11 EST
Created attachment 696350 [details]
keystone-essex-CVE-2013-0278.patch
Comment 2 Kurt Seifried 2013-02-11 22:53:32 EST
Created attachment 696351 [details]
keystone-folsom-CVE-2013-0278.patch
Comment 3 Kurt Seifried 2013-02-11 22:54:02 EST
Created attachment 696352 [details]
keystone-grizzly-CVE-2013-0278.patch
Comment 6 Alan Pevec 2013-02-19 12:56:54 EST
Published today
http://lists.openstack.org/pipermail/openstack-announce/2013-February/000078.html
but note upstream went with different CVEs: CVE-2013-1664, CVE-2013-1665

Which CVE# do you want me to use in RPM changelog?
Comment 7 Kurt Seifried 2013-02-19 16:30:08 EST
As per http://seclists.org/oss-sec/2013/q1/340 please REJECT
CVE-2013-0278, CVE-2013-0279 and CVE-2013-0280 and use CVE-2013-1664,
CVE-2013-1665 for OpenStack.
Comment 8 Kurt Seifried 2013-02-21 15:20:31 EST
(In reply to comment #6)
> Published today
> http://lists.openstack.org/pipermail/openstack-announce/2013-February/000078.
> html
> but note upstream went with different CVEs: CVE-2013-1664, CVE-2013-1665
> 
> Which CVE# do you want me to use in RPM changelog?

Mitre is actually formulating new CVE assigning policy for messes like this, once that is done I will be assigning CVEs and this will be sorted.
Comment 9 Murray McAllister 2013-02-27 01:49:12 EST
Acknowledgements:

Red Hat would like to thank the OpenStack project for reporting these issues. Upstream acknowledges Jonathan Murray (NCC Group), Joshua Harlow (Yahoo!), and Stuart Stent as the original, independent reporters of these issues.
Comment 10 Kurt Seifried 2013-03-04 14:17:51 EST

*** This bug has been marked as a duplicate of bug 913808 ***
Comment 11 Fedora Update System 2013-03-04 17:39:12 EST
openstack-keystone-2012.2.3-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-03-28 14:39:01 EDT
openstack-keystone-2012.2.3-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.